﻿using System;
using System.Linq;
using ThinkGeo.MapSuite.Core;

namespace Thinkgeo9ShapeFileReader
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var shapeFile = @"Med2_Soton.shp";
            var featureLayer = new ShapeFileFeatureSource(shapeFile);
            featureLayer.Open();
            var allFeatures = featureLayer.GetAllFeatures(ReturningColumnsType.AllColumns);
            var columns = featureLayer.GetColumns();
            var columnName = columns[0].ColumnName;

            foreach (var value in allFeatures.Select(feature => feature.ColumnValues[columnName]))
            {
                Console.WriteLine(value);
            }
            Console.ReadKey();
        }
    }
}